> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-baton-kubernetes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Owner

> DeleteUserOwner deletes a user ownership source for a connector.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v2/apps/{app_id}/connectors/{connector_id}/owners/users/{role_slug}/{user_ref_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/connectors/{connector_id}/owners/users/{role_slug}/{user_ref_id}:
    delete:
      tags:
        - Connector Owner V2
      summary: Delete User Owner
      description: DeleteUserOwner deletes a user ownership source for a connector.
      operationId: c1.api.app.v2.ConnectorOwners.DeleteUserOwner
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: The connectorId field.
            type: string
        - in: path
          name: role_slug
          required: true
          schema:
            description: The roleSlug field.
            type: string
        - in: path
          name: user_ref_id
          required: true
          schema:
            description: The id of the user.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.DeleteConnectorUserOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v2.DeleteConnectorUserOwnerResponse
          description: >-
            DeleteConnectorUserOwnerResponse is the empty response for deleting
            a user ownership source on a connector.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connectorOwnersV2.deleteUserOwner({
                appId: "<id>",
                connectorId: "<id>",
                roleSlug: "<value>",
                userRefId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v2.DeleteConnectorUserOwnerRequestInput:
      description: >-
        DeleteConnectorUserOwnerRequest is the request for deleting a user
        ownership source on a connector.
      properties:
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Delete Connector User Owner Request
      type: object
      x-speakeasy-name-override: DeleteConnectorUserOwnerRequest
    c1.api.app.v2.DeleteConnectorUserOwnerResponse:
      description: >-
        DeleteConnectorUserOwnerResponse is the empty response for deleting a
        user ownership source on a connector.
      title: Delete Connector User Owner Response
      type: object
      x-speakeasy-name-override: DeleteConnectorUserOwnerResponse
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type:
            - string
            - 'null'
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````